package com.liang.entity;

import java.sql.Date;
import java.io.Serializable;

/**
 * 项目模板(BaseProjecttemplate)实体类
 *
 * @author makejava
 * @since 2023-03-14 15:30:37
 */
public class BaseProjecttemplate implements Serializable {
    private static final long serialVersionUID = 709883557486547774L;

    private Integer id;
    /**
     * 中文名称
     */
    private String zwmc;
    /**
     * 学科分类1
     */
    private String xkfl1;
    private String xkflmc1;
    /**
     * 学科分类2
     */
    private String xkfl2;
    private String xkflmc2;
    /**
     * 学科分类3
     */
    private String xkfl3;
    private String xkflmc3;
    /**
     * 是否国家秘密技术项目
     */
    private Boolean sfgjmmjsxm;
    /**
     * 所属国民经济行业
     */
    private String ssgmjjhy;
    private String ssgmjjhymc;
    /**
     * 起始
     */
    private Date qs;
    /**
     * 完成
     */
    private Date wc;
    /**
     * 创建日期
     */
    private Date cjrq;
    /**
     * 项目类型
     */
    private String xmlx;
    private String xmlxmc;
    /**
     * 英文名称
     */
    private String ywmc;
    /**
     * 弃用
     */
    private String qy;
    /**
     * 创建人
     */
    private Integer cjr;
    private String cjrxm;
    /**
     * ERP编号
     */
    private String erpbh;
    /**
     * 审批状态
     */
    private String spzt;
    /**
     * 费用来源
     */
    private String fyly;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public String getXkfl1() {
        return xkfl1;
    }

    public void setXkfl1(String xkfl1) {
        this.xkfl1 = xkfl1;
    }

    public String getXkflmc1() {
        return xkflmc1;
    }

    public void setXkflmc1(String xkflmc1) {
        this.xkflmc1 = xkflmc1;
    }

    public String getXkfl2() {
        return xkfl2;
    }

    public void setXkfl2(String xkfl2) {
        this.xkfl2 = xkfl2;
    }

    public String getXkflmc2() {
        return xkflmc2;
    }

    public void setXkflmc2(String xkflmc2) {
        this.xkflmc2 = xkflmc2;
    }

    public String getXkfl3() {
        return xkfl3;
    }

    public void setXkfl3(String xkfl3) {
        this.xkfl3 = xkfl3;
    }

    public String getXkflmc3() {
        return xkflmc3;
    }

    public void setXkflmc3(String xkflmc3) {
        this.xkflmc3 = xkflmc3;
    }

    public Boolean getSfgjmmjsxm() {
        return sfgjmmjsxm;
    }

    public void setSfgjmmjsxm(Boolean sfgjmmjsxm) {
        this.sfgjmmjsxm = sfgjmmjsxm;
    }

    public String getSsgmjjhy() {
        return ssgmjjhy;
    }

    public void setSsgmjjhy(String ssgmjjhy) {
        this.ssgmjjhy = ssgmjjhy;
    }

    public String getSsgmjjhymc() {
        return ssgmjjhymc;
    }

    public void setSsgmjjhymc(String ssgmjjhymc) {
        this.ssgmjjhymc = ssgmjjhymc;
    }

    public Date getQs() {
        return qs;
    }

    public void setQs(Date qs) {
        this.qs = qs;
    }

    public Date getWc() {
        return wc;
    }

    public void setWc(Date wc) {
        this.wc = wc;
    }

    public Date getCjrq() {
        return cjrq;
    }

    public void setCjrq(Date cjrq) {
        this.cjrq = cjrq;
    }

    public String getXmlx() {
        return xmlx;
    }

    public void setXmlx(String xmlx) {
        this.xmlx = xmlx;
    }

    public String getXmlxmc() {
        return xmlxmc;
    }

    public void setXmlxmc(String xmlxmc) {
        this.xmlxmc = xmlxmc;
    }

    public String getYwmc() {
        return ywmc;
    }

    public void setYwmc(String ywmc) {
        this.ywmc = ywmc;
    }

    public String getQy() {
        return qy;
    }

    public void setQy(String qy) {
        this.qy = qy;
    }

    public Integer getCjr() {
        return cjr;
    }

    public void setCjr(Integer cjr) {
        this.cjr = cjr;
    }

    public String getCjrxm() {
        return cjrxm;
    }

    public void setCjrxm(String cjrxm) {
        this.cjrxm = cjrxm;
    }

    public String getErpbh() {
        return erpbh;
    }

    public void setErpbh(String erpbh) {
        this.erpbh = erpbh;
    }

    public String getSpzt() {
        return spzt;
    }

    public void setSpzt(String spzt) {
        this.spzt = spzt;
    }

    public String getFyly() {
        return fyly;
    }

    public void setFyly(String fyly) {
        this.fyly = fyly;
    }

}

